SCM URL/ROOT Information on Repository Page

2007-10-04 15:22 - Brian DeGregorio

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Description

To save users the hassle of hunting down the Admin to ask the access information needed to use a non-redMine SCM tool

i.e. TortoiseSVN I've integrated the settings information into the Repository page.

File is a unix patch.

Related issues:

Has duplicate Redmine - Feature #4567: Show repository path New 2010-01-13

Has duplicate Redmine - Feature #3808: Provide link to actual SCM URL from re... Closed 2009-09-02

Has duplicate Redmine - Feature #1038: Add repo url to repository view Closed 2008-04-10

History

#1 - 2007-10-09 09:24 - Cyril Mougel

The using of Table for view information is not realy good for

a web application. You show a list of thing, so it's better to

see by list with <ul> and <li> value.

#2 - 2007-10-09 11:00 - Brian DeGregorio

I used the table to match the other 3 tables on the page.

Wouldn't be hard to change it but then it would look out of

place with the other 2 boxes.

#3 - 2009-12-09 03:23 - Holger Just

I created a simple plugin which implements the functionality of the patch. Additionally, the displayed URL is configurable in the admin interface.

The plugin can be found at http://dev.holgerjust.de/projects/redmine-checkout/wiki

#4 - 2011-01-18 08:19 - Toshi MARUYAMA

- Category set to SCM

#5 - 2012-06-16 11:56 - Lluís Vilanova

+1

Looks like the aforementioned plugin (which provided just the right features) has been abandoned and no longer works with never redmine versions.

#6 - 2012-10-24 12:59 - Wojtek …

+1

given that the mentioned plugin does not nor will not work with Redmine 2.0 (please see: Redmine 2.x support which states: "redmine_checkout is not

compatible with Redmine >= 2.0 right now and it probably never will.) and the Feature #4567 is somehow stagnant.

It was also convenient to have configuration page with substitution options on per SCM basis.

#7 - 2012-11-05 08:17 - Michael Zhu

+1

Wojtek K. wrote:

+1

given that the mentioned plugin does not nor will not work with Redmine 2.0 (please see: Redmine 2.x support which states: "redmine_checkout

is not compatible with Redmine >= 2.0 right now and it probably never will.) and the Feature #4567 is somehow stagnant.
It was also convenient to have configuration page with substitution options on per SCM basis.

#8 - 2016-02-15 20:54 - Lluís Vilanova

Is there an alternative with redmine 3.0?

#9 - 2018-03-28 08:23 - Grigoriy Vasilchenko

Alternative: https://www.redmine.org/plugins/redmine_scm_path_view
